* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}
html {
    scroll-behavior: smooth;
}
::-webkit-scrollbar {
    width: 15px !important;
}
ul {
    list-style: none;
}
a {
    text-decoration: none;
}
body:not(.dark-mode) {
    /* Dark */
    --col-one: #161616;
    --col-two: #ffffff28;
    --col-three: #000000;
    --col-three: #fffefe13;
    --col-four: #c0c0c059;
    --col-five: #ccc6c6;
    --col-six: #c0c0c01c;
    --col-seven: #2A9595;
    --opa: 0.8;
}
.dark-mode {
    /* White */
    --col-one: #dbdbdb;
    --col-two: #00000041;
    --col-three: #757272a6;
    --col-four: #1f1f1fa2;
    --col-five: #000000;
    --col-six: #1f1f1f52;
    --col-seven: #fff;
    --opa: 0.2;
}
body {
    margin: 0;
    font-family: 'Dubai';
    overflow-x: hidden !important;
    background-color: var(--Black);
    overflow-y: unset !important;
    color: var(--Grey-Light-grey, #FAFAFA);
}
#navbar {
    position: fixed !important;
}
/* ====================================================== Start wallet Hero */
.link_more {
    font-size: 18px;
    color: var(--col-one-one);
    text-decoration: underline;
}
.news_first{
    width: 100%;
    height: 97px;
}
.news_hero{
    width: 100%;
    height: 336px;
    position: relative;
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.719) 0%, rgba(0, 0, 0, 0.63) 100%), url(../img/hero_newback.jpeg) no-repeat;
    background-position: center 80%;
    background-size: cover;
}
.news_hero .title{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    animation: show_page_title 1s ease;
    width: 100%;
    text-align: center;
    color: #FAFAFA;
}
.last_news{
    width: 100%;
    min-height: 100vh;
    background: var(--col-one);
    background-size: 70%;
    background-attachment: fixed;
    display: none;
}
.last_news .container{
    width: 100%;
    height: 100%;
    padding: 80px 100px;
    display: flex;
    flex-flow: row wrap;
    gap: 30px;
}
.last_news .box{
    width: 100%;
    max-width: calc((100% / 3) - 20px);
    display: flex;
    flex-flow: column nowrap;
    justify-content: space-between;
    gap: 18px;
    padding: 24px 24px 50px;
    backdrop-filter: blur(5px);
    border-top-left-radius: 20px;
    border-bottom-right-radius: 20px;
    position: relative;
    overflow: hidden;
    box-shadow: 0px 0px 5px 5px #00000025;
    transition: all 300ms ease-out;
    opacity: 0;
    bottom: -100px;
}
.last_news .box:nth-child(1){
    transition-delay: 200ms;
}
.last_news .box:nth-child(2){
    transition-delay: 400ms;
}
.last_news .box:nth-child(3){
    transition-delay: 600ms;
}
.last_news .box:nth-child(4){
    transition-delay: 800ms;
}
.last_news .box:nth-child(5){
    transition-delay: 1000ms;
}
.last_news .box:nth-child(6){
    transition-delay: 1200ms;
}
.last_news .box:nth-child(7){
    transition-delay: 1400ms;
}
.last_news .box:nth-child(8){
    transition-delay: 1600ms;
}
.last_news .box:nth-child(9){
    transition-delay: 1800ms;
}
.last_news.act .box{
    bottom: 0px !important;
    opacity: 1 !important;
}
.last_news .box:hover{
    cursor: pointer;
    transform: scale(1.07);
}
.last_news .box .desbr{
    width: 100%;
    height: 9px;
    display: block;
}
.last_news .box::before{
    content: "";
    position: absolute;
    width: calc(100% - 17px);
    height: calc(100% - 17px);
    top: 8px;
    left: 8px;
    border: 1px solid var(--col-two);
    z-index: -1;
    border-top-left-radius: 15px;
    border-bottom-right-radius: 15px;
    box-shadow: 0px 0px 5px 5px #ffffff07;
}
.last_news .box::after{
    content: "";
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0px;
    left: 0px;
    z-index: -4;
    background: url(../img/back_timeline.png) repeat center, var(--col-three);
    background-attachment: fixed;
    opacity: var(--opa);
}
.last_news .box .news_num{
    position: absolute;
    bottom: -50px;
    right: 0px;
    font-size: 220px;
    font-weight: 800;
    color: var(--col-four);
    z-index: -2;
}
.last_news .box .tit{
    font-size: 40px;
    font-weight: 700;
}
.last_news .box .subtit{
    display: flex;
    gap: 8px;
}
.last_news .box .subtit .lin{
    width: 50px;
    height: 1px;
    display: inline-block;
    background-color: #2A9595;
    margin-top: auto;
    margin-bottom: auto;
}
.last_news .box .subtit .txt{
    color: #2A9595;
    font-size: 18px;
    font-weight: 700;
}
.last_news .box .details{
    display: flex;
    flex-flow: column nowrap;
    gap: 8px;
    justify-content: flex-start;
}
.last_news .box .desc{
    font-size: 16px;
    color: var(--col-five);
}
.last_news .box .date{
    color: var(--col-seven);
    background-color: var(--col-six);
    position: absolute;
    bottom: 8px;
    left: 9px;
    padding: 5px 8px 3px;
    border-top-right-radius: 10px;
}

:root {
    --hue: 210;
    --size: 100px;
    --border: 10px;
    --speed: 1s;
    --blur: var(--border);
}
#loading{
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--col-one)
}
#load_subn {
    width: 100%;
    height: 100%;
    z-index: 10;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
}
.load_logon{
    width: 60px;
    height: 60px;
    background: url(../img/watt_logo.png) no-repeat;
    background-size: 60%;
    background-position: center;
    filter: var(--log-filter);
}
.loadern {
    width: var(--border);
    aspect-ratio: 1;
    border-radius: 50%;
    background: white;
    position: absolute;
    --y: calc((var(--size) * -0.5) + (var(--border) * 0.5));
    transform:
        rotate(0deg) translateY(var(--y));
    animation: spin var(--speed) infinite linear;
}

.loadern::before {
    content: "";
    position: absolute;
    inset: calc(var(--border) * -0.5);
    border-radius: 50%;
    background: white;
    filter: blur(var(--blur));
    z-index: -1;
}

.loadern::after {
    content: "";
    width: var(--size);
    aspect-ratio: 1;
    position: absolute;
    top: 0%;
    left: 50%;
    translate: -50% 0;
    background: conic-gradient(white, hsl(var(--hue), 100%, 70%), hsl(var(--hue), 100%, 10%), transparent 65%);
    border-radius: 50%;
    mask: radial-gradient(transparent calc(((var(--size) * 0.5) - var(--border)) - 1px),
            white calc((var(--size) * 0.5) - var(--border)));
}

@keyframes spin {
    to {
        transform: rotate(-360deg) translateY(var(--y));
    }
}

@media screen and (min-width: 950px) and (max-width: 1300px){
    .last_news .box {
        width: calc(100% / 2 );
        max-width: calc((100% / 2) - 20px);
    }
}
@media (max-width: 950px) {
    .last_news .container{
        padding: 80px 16px;
    }
    .last_news .box {
        width: 100%;
        max-width: 100%;
    }
    .last_news .box:hover {
        transform: none;
    }
}
